import { getModule, Module, MutationAction, VuexModule } from 'vuex-module-decorators';
import store from '@/store';
import http from '@/utils/request';
import { url } from '@/utils/url';
import { session } from '@/store/modules/session';
@Module({
  namespaced: true,
  dynamic: true,
  store,
  name: 'page.mes.PalletChange',
})
export class ChangePalletNew extends VuexModule {
  rowdata: any;
  orderNoItemList: any = [];
  getTaskRecordList: any = [];
  @MutationAction
  async getTodayTask(userId: any) {
    const result: any = await http.get(url.lanjuequipment.product.Inspection.getTodayTask, {
      //loginName: session.loginName,
      params: {
        userId: userId,
      },
    });
    const orderNoItemList = result.data;
    return { orderNoItemList };
  }
  @MutationAction
  async getTaskRecord(userId: any) {
    const result: any = await http.get(url.lanjuequipment.product.Inspection.getTaskRecord, {
      //loginName: session.loginName,
      params: {
        userId: userId,
      },
    });
    const getTaskRecordList = result.data;
    return { getTaskRecordList };
  }
  //巡检列表巡检记录
  OrderInfList: any = [];
  @MutationAction
  async getInspectionOrderInfo(params: any) {
    const result: any = await http.post(url.lanjuequipment.product.Inspection.getInspectionOrderInfo, params);
    const OrderInfList: [] = result.data;
    return { OrderInfList };
  }
  SubmitCode: any = '';
  //巡检提交
  @MutationAction
  async updateInspectionRecord(params: any) {
    const result: any = await http.post(url.lanjuequipment.product.Inspection.updateInspectionRecord, params);
    const SubmitCode: [] = result.code;
    return { SubmitCode };
  }
  Checklist: any = [];
  @MutationAction
  async queryhandChecklist() {
    const result: any = await http.get(url.lanjumes.product.queryhandChecklist, {
      //loginName: session.loginName,
      params: {
        factoryCode: session.FactoryCode,
        createBy: session.user?.loginName,
      },
    });
    const Checklist: any = result.rows;
    console.log('this.tableData', Checklist);
    // debugger
    return { Checklist };
  }
}

export default getModule(ChangePalletNew);
